質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.40%

  • Ruby

    9887questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    9299questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

rails _5.0.3_ new XXX でのエラーを解消したい

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 992

lolohacker

score 21

問題

以下のコマンドでアプリケーションを作成できない

rails _5.0.3_ new toy_app

エラーメッセージ

XXXXX:~/workspace (master) $ rails _5.0.3_ new toy_app
/usr/local/rvm/rubies/ruby-2.4.0/lib/ruby/2.4.0/rubygems.rb:270:in `find_spec_for_exe': can't find gem railties (= 5.0.3) (Gem::GemNotFoundException)
        from /usr/local/rvm/rubies/ruby-2.4.0/lib/ruby/2.4.0/rubygems.rb:298:in `activate_bin_path'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/rails:22:in `<main>'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/ruby_executable_hooks:15:in `eval'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/ruby_executable_hooks:15:in `<main>'

試したこと

・bundle, gemの再インストールを行ってからコマンドを実行
https://teratail.com/questions/80979 の解決方法を実施
↑上記では解決しませんでした

どなたかご教示いただけると助かります。
よろしくお願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

Rails5.0.3固定でアプリを作成したいということでしょうか。
まずバージョン指定でいきなりnewはしない方がいいです。

流れとしては
1)アプリのディレクトリ作成

mkdir toy_app


2)ディレクトリに移動し

bundle init


するとGemfileができます。
3)Gemfileを編集後

gem 'rails', '5.0.3'
bundle install

4)その後アプリのディレクトリでrails new
途中でGemfileを上書きするか聞かれるので「Y」
(newの後の.を忘れないでください)

rails new .

5)rails sでpumaが起動するのでhttp://localhost:3000でアクセス

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/08/22 18:51 編集

    上記の手順でアプリケーションを作成できました。
    ありがとうございます。

    追加でお聞きしたいのですが、
    >まずバージョン指定でいきなりnewはしない方がいい
    のはなぜでしょうか?

    キャンセル

  • 2017/08/22 20:41

    書き方が悪かったですが「バージョン指定でいきなりnewはしない方がいい」のではなく「Gemfileでバージョン指定するようにした方がよい」です。railsをインストールすると他にも色々なgemがインストールされますが、その依存関係がおかしくならないようにするためです。

    キャンセル

  • 2017/08/22 20:58

    なるほどです。ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.40%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Ruby

    9887questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    9299questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。